# ReturnPhase | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Class ReturnPhase

#### Hierarchy (View Summary)

- SwitchSummonPhase
  - ReturnPhase

- Defined in src/phases/return-phase.ts:6

##### Index

### Constructors

constructor

### Properties

fieldIndex
partyMemberIndex
player

### Methods

end
executeForAll
getParty
getPokemon
hideEnemyTrainer
onEnd
preSummon
queuePostSummon
showEnemyTrainer
start
summon
summonWild
switchAndSummon

## Constructors

### constructor

- new ReturnPhase(fieldIndex: number): ReturnPhase

  #### Parameters

  - fieldIndex: number

  #### Returns ReturnPhase

  Overrides SwitchSummonPhase.constructor

  - Defined in src/phases/return-phase.ts:7

## Properties

### `Protected` fieldIndex

fieldIndex: number

Inherited from SwitchSummonPhase.fieldIndex

- Defined in src/phases/party-member-pokemon-phase.ts:7

### `Protected` partyMemberIndex

partyMemberIndex: number

Inherited from SwitchSummonPhase.partyMemberIndex

- Defined in src/phases/party-member-pokemon-phase.ts:6

### `Protected` player

player: boolean

Inherited from SwitchSummonPhase.player

- Defined in src/phases/party-member-pokemon-phase.ts:8

## Methods

### end

- end(): void

  #### Returns void

  Inherited from SwitchSummonPhase.end

  - Defined in src/phases/summon-phase.ts:293

### executeForAll

- executeForAll(func: PokemonFunc): void

  #### Parameters

  - func: PokemonFunc

  #### Returns void

  Inherited from SwitchSummonPhase.executeForAll

  - Defined in src/phases/field-phase.ts:8

### getParty

- getParty(): default []

  #### Returns default []

  Inherited from SwitchSummonPhase.getParty

  - Defined in src/phases/party-member-pokemon-phase.ts:18

### getPokemon

- getPokemon(): default

  #### Returns default

  Inherited from SwitchSummonPhase.getPokemon

  - Defined in src/phases/party-member-pokemon-phase.ts:22

### hideEnemyTrainer

- hideEnemyTrainer(): void

  #### Returns void

  Inherited from SwitchSummonPhase.hideEnemyTrainer

  - Defined in src/phases/battle-phase.ts:37

### onEnd

- onEnd(): void

  #### Returns void

  Overrides SwitchSummonPhase.onEnd

  - Defined in src/phases/return-phase.ts:17

### preSummon

- preSummon(): void

  Sends out a Pokemon before the battle begins and shows the appropriate messages

  #### Returns void

  Inherited from SwitchSummonPhase.preSummon

  - Defined in src/phases/switch-summon-phase.ts:44

### queuePostSummon

- queuePostSummon(): void

  #### Returns void

  Inherited from SwitchSummonPhase.queuePostSummon

  - Defined in src/phases/switch-summon-phase.ts:248

### showEnemyTrainer

- showEnemyTrainer(trainerSlot?: TrainerSlot ): void

  #### Parameters

  - trainerSlot: TrainerSlot = TrainerSlot.NONE

  #### Returns void

  Inherited from SwitchSummonPhase.showEnemyTrainer

  - Defined in src/phases/battle-phase.ts:10

### start

- start(): void

  #### Returns void

  Inherited from SwitchSummonPhase.start

  - Defined in src/phases/switch-summon-phase.ts:40

### summon

- summon(): void

  Enemy trainer or player trainer will do animations to throw Pokeball and summon a Pokemon to the field.

  #### Returns void

  Overrides SwitchSummonPhase.summon

  - Defined in src/phases/return-phase.ts:15

### summonWild

- summonWild(): void

  Handles tweening and battle setup for a wild Pokemon that appears outside of the normal screen transition. Wild Pokemon will ease and fade in onto the field, then perform standard summon behavior. Currently only used by Mystery Encounters, as all other battle types pre-summon wild pokemon before screen transitions.

  #### Returns void

  Inherited from SwitchSummonPhase.summonWild

  - Defined in src/phases/summon-phase.ts:216

### switchAndSummon

- switchAndSummon(): void

  #### Returns void

  Overrides SwitchSummonPhase.switchAndSummon

  - Defined in src/phases/return-phase.ts:11